Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreLifecycleManager

    java.lang.Object
      oracle.ifs.fdk.impl.LifecycleManagerImpl
          oracle.ifs.fdk.core.CoreLifecycleManager

All Implemented Interfaces:
  java.rmi.Remote, LifecycleManager

    public class CoreLifecycleManager

extends LifecycleManagerImpl

Implementation of the LifecycleManager interface.

See Also:
  `LifecycleManager`

Constructor Summary
`CoreLifecycleManager()`
`CoreLifecycleManager(FdkSession session)`

Method Summary
`Item` | `createLifecyclePolicy(NamedValue[] def, AttributeRequest[] attrs)` Creates a new LIFECYCLE_POLICY Item.
`void` | `deleteLifecyclePolicy(long idval, NamedValue[] options)` Deletes a LIFECYCLE_POLICY Item.
`Item[]` | `findLifecyclePolicies(NamedValue[] options, AttributeRequest[] attrs)` Returns an array of LIFECYCLE_POLICY Items that match the specified search options.
`Item` | `findLifecyclePolicyByName(java.lang.String name, AttributeRequest[] attrs)` Returns the LIFECYCLE_POLICY Item with the specified name, or null if no matching LIFECYCLE_POLICY Item exists.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`java.lang.String[]` | `listLifecycleActionSpecifications()` Returns the list of registered lifecycle action specifications.
`java.lang.String[]` | `listLifecycleDateRuleSpecifications()` Returns the list of registered Lifecycle date rule specifications.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `updateLifecyclePolicy(long id, NamedValue[] def, AttributeRequest[] attrs)` Updates an existing LIFECYCLE_POLICY Item.
`Item` | `updateLifecyclePolicyEntry(long id, NamedValue[] def, AttributeRequest[] attrs)` Updates an existing LIFECYCLE_POLICY_ENTRY item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreLifecycleManager

    public CoreLifecycleManager()

### CoreLifecycleManager

    public CoreLifecycleManager(FdkSession session)

Method Detail

### findLifecyclePolicies

    public Item[] findLifecyclePolicies(NamedValue[] options,
                                        AttributeRequest[] attrs)
                                 throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Returns an array of LIFECYCLE_POLICY Items that match the specified search options. If no options are specified, returns all LIFECYCLE_POLICY Items.

  Currently, no options are supported; this method always returns an array of all existing LIFECYCLE_POLICY Items.

  Parameters:
    `options` - search and filter options (currently, no options are supported)
    `attrs` - attributes to retrieve for each LIFECYCLE_POLICY Item
  Returns:
    an array of the matching LIFECYCLE_POLICY Items
  Throws:
    `FdkException` - if the operation fails

### findLifecyclePolicyByName

    public Item findLifecyclePolicyByName(java.lang.String name,
                                          AttributeRequest[] attrs)
                                   throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Returns the LIFECYCLE_POLICY Item with the specified name, or null if no matching LIFECYCLE_POLICY Item exists.

  LIFECYCLE_POLICY Items have unique NAME attribute; there is at most one LIFECYCLE_POLICY Item with any given name.

  Parameters:
    `name` - the name of the LIFECYCLE_POLICY Item to retrieve
    `attrs` - attributes to retrieve for the LIFECYCLE_POLICY Item
  Returns:
    the matching LIFECYCLE_POLICY Item
  Throws:
    `FdkException` - if the operation fails

### createLifecyclePolicy

    public Item createLifecyclePolicy(NamedValue[] def,
                                      AttributeRequest[] attrs)
                               throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Creates a new LIFECYCLE_POLICY Item.

  Parameters:
    `def` - the list of names and corresponding values of the attributes for the LIFECYCLE_POLICY Item being created; supported attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.IS_LOCK_IMPLIED, Boolean}
    - {Attributes.LIFECYCLE_DATE_RULE, String}
    - {Attributes.LIFECYCLE_POLICY_ENTRIES, NamedValueSet[]}
      each element contains a NamedValue[] as follows:
      - {Attributes.NAME, String}
      - {Attributes.DESCRIPTION, String}
      - {Attributes.LIFECYCLE_ENABLED, Boolean}
      - {Attributes.LIFECYCLE_FROZEN, Boolean}
      - {Attributes.LIFECYCLE_ACTION, String}
      - {Attributes.LIFECYCLE_TIME_PERIOD, String}
      - {Attributes.LIFECYCLE_EXECUTION_PERIOD, String}
      - {Attributes.LIFECYCLE_BASE_TIME, String}
      - {Attributes.LIFECYCLE_ACTION_SEQUENCE, Integer}
    `attrs` - attributes to retrieve for the created LIFECYCLE_POLICY Item
  Returns:
    the new LIFECYCLE_POLICY Item
  Throws:
    `FdkException` - if the operation fails

### updateLifecyclePolicy

    public Item updateLifecyclePolicy(long id,
                                      NamedValue[] def,
                                      AttributeRequest[] attrs)
                               throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Updates an existing LIFECYCLE_POLICY Item.

  Parameters:
    `id` - the ID of the LIFECYCLE_POLICY Item to update
    `def` - the list of names and corresponding values of the attributes to update; supported attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.ACTIVE, Boolean}
    - {Attributes.IS_LOCK_IMPLIED, Boolean}
    - {Attributes.LIFECYCLE_DATE_RULE, String}
    - {Attributes.LIFECYCLE_POLICY_ENTRIES, NamedValueSet[]}
      each element contains a NamedValue[] as follows:
      - {Attributes.NAME, String}
      - {Attributes.DESCRIPTION, String}
      - {Attributes.LIFECYCLE_ENABLED, Boolean}
      - {Attributes.LIFECYCLE_FROZEN, Boolean}
      - {Attributes.LIFECYCLE_ACTION, String}
      - {Attributes.LIFECYCLE_TIME_PERIOD, String}
      - {Attributes.LIFECYCLE_EXECUTION_PERIOD, String}
      - {Attributes.LIFECYCLE_BASE_TIME, String}
      - {Attributes.LIFECYCLE_ACTION_SEQUENCE, Integer}
    - {Options.DELETE_ALL_LIFECYCLE_POLICY_ENTRIES, Boolean}
    `attrs` - attributes to retrieve for the updated LIFECYCLE_POLICY Item
  Returns:
    the updated LIFECYCLE_POLICY Item
  Throws:
    `FdkException` - if the operation fails

### updateLifecyclePolicyEntry

    public Item updateLifecyclePolicyEntry(long id,
                                           NamedValue[] def,
                                           AttributeRequest[] attrs)
                                    throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Updates an existing LIFECYCLE_POLICY_ENTRY item.

  Parameters:
    `id` - The ID of the LIFECYCLE_POLICY_ENTRY item to update.
    `def` - The list of names and corresponding values of the attributes to update. Supported attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.LIFECYCLE_ENABLED, Boolean}
    - {Attributes.LIFECYCLE_FROZEN, Boolean}
    - {Attributes.LIFECYCLE_ACTION, String}
    - {Attributes.LIFECYCLE_TIME_PERIOD, String}
    - {Attributes.LIFECYCLE_EXECUTION_PERIOD, String}
    - {Attributes.LIFECYCLE_BASE_TIME, String}
    - {Attributes.LIFECYCLE_ACTION_SEQUENCE, Integer}
    `attrs` - Attributes to return for the updated LIFECYCLE_POLICY_ENTRY item.
  Returns:
    The updated LIFECYCLE_POLICY_ENTRY item.
  Throws:
    `FdkException` - if the operation fails.

### deleteLifecyclePolicy

    public void deleteLifecyclePolicy(long idval,
                                      NamedValue[] options)
                               throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Deletes a LIFECYCLE_POLICY Item.

  Parameters:
    `idval` - the ID of the LIFECYCLE_POLICY Item to delete
    `options` - delete options (none currently supported)
  Throws:
    `FdkException` - if the operation fails

### listLifecycleActionSpecifications

    public java.lang.String[] listLifecycleActionSpecifications()
                                                         throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Returns the list of registered lifecycle action specifications. A lifecycle action specification is set for a LIFECYCLE_POLICY_ENTRY Item.

  Any element of the return value may be used as the value for the LIFECYCLE_ACTION attribute of a LIFECYCLE_POLICY_ENTRY Item.

  Throws:
    `FdkException` - if the operation fails

### listLifecycleDateRuleSpecifications

    public java.lang.String[] listLifecycleDateRuleSpecifications()
                                                           throws FdkException

  Description copied from class: `CoreLifecycleManager`
  Returns the list of registered Lifecycle date rule specifications. A lifecycle date rule specification is set for a LIFECYCLE_POLICY Item.

  Any element of the return value may be used as the value for the LIFECYCLE_DATE_RULE attribute of a LIFECYCLE_POLICY Item.

  Throws:
    `FdkException` - if the operation fails

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD